package com.ruoyi.nanjing.domain;

import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

public class ProParaInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String proBarcode;

    private String semiBarcode;

    private String stationCode;

    private Date insertTime;

    private String paraName;

    private String realVal;

    private String minVal;

    private String maxVal;

    private String paraState;

    public String getProBarcode() {
        return proBarcode;
    }

    public void setProBarcode(String proBarcode) {
        this.proBarcode = proBarcode;
    }

    public String getSemiBarcode() {
        return semiBarcode;
    }

    public void setSemiBarcode(String semiBarcode) {
        this.semiBarcode = semiBarcode;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getParaName() {
        return paraName;
    }

    public void setParaName(String paraName) {
        this.paraName = paraName;
    }

    public String getRealVal() {
        return realVal;
    }

    public void setRealVal(String realVal) {
        this.realVal = realVal;
    }

    public String getMinVal() {
        return minVal;
    }

    public void setMinVal(String minVal) {
        this.minVal = minVal;
    }

    public String getMaxVal() {
        return maxVal;
    }

    public void setMaxVal(String maxVal) {
        this.maxVal = maxVal;
    }

    public String getParaState() {
        return paraState;
    }

    public void setParaState(String paraState) {
        this.paraState = paraState;
    }

    @Override
    public String toString() {
        return "ProParaInfo{" +
                "proBarcode='" + proBarcode + '\'' +
                ", semiBarcode='" + semiBarcode + '\'' +
                ", stationCode='" + stationCode + '\'' +
                ", insertTime=" + insertTime +
                ", paraName='" + paraName + '\'' +
                ", realVal='" + realVal + '\'' +
                ", minVal='" + minVal + '\'' +
                ", maxVal='" + maxVal + '\'' +
                ", paraState='" + paraState + '\'' +
                '}';
    }
}
